API

Update bonus system settings

POST/api/crm/v2/bonuses_settings.updatev2
operationId: bonusesSettings.update

Updates bonus system settings. If automation is enabled, the server forcibly sets enable to true, referral to false, and sets registration, birthday, and review accruals to 0. For a child network, the common flag is ignored. Any omitted field is saved as 0. Errors: 121 — value is not a number, 122 — value is below the minimum, 124 — value is out of the allowed range.

Authorization

api-token + language + role

Query parameters

chain_idintegerrequired

Example: 7156

Request body application/json

object
automationboolean

Example: true

enableboolean

Example: true

commonboolean

If enabled (can be true for a child network), all fields except automation are hidden

Example: true

hide_accrualboolean

Example: true

minimum_sumboolean

Example: true

rules_accrual_registrationnumber

If common and automation are disabled

Example: 0

rules_accrual_itemsnumber

Percentage of the product price to be credited as bonuses; fractional values are allowed

Example: 0

rules_withdraw_itemsnumber

Percentage of the item amount that can be paid with bonuses; fractional values are allowed

Example: 0

rules_accrual_birthdaynumber

If common and automation are disabled

Example: 0

rules_accrual_feedbacknumber

Example: 0

free_deliveryboolean

Example: true

rules_accrual_withdrawboolean

Example: true

rules_accrual_decreaseboolean

Example: true

referralboolean

If common and automation are disabled

Example: true

rules_accrual_referral_pyramidboolean

If common and automation are disabled

Example: true

rules_accrual_referral_invitednumber

If common and automation are disabled

Example: 0

rules_accrual_referral_inviternumber

If common and automation are disabled

Example: 0

rules_accrual_referral_percentnumber

The percentage of the referred client's accruals transferred to the referrer; fractional values are allowed; applies if both common and automation are disabled

Example: 0

rules_validity_itemsinteger

If common and automation are disabled

Example: 0

rules_validity_feedbackinteger

If common and automation are disabled

Example: 0

rules_validity_birthdayinteger

If common and automation are disabled

Example: 0

rules_validity_registrationinteger

If common and automation are disabled

Example: 0

rules_validity_referralinteger

If common and automation are disabled

Example: 0

Responses

OK

object
statusstringrequired

Values:successerror

Example: success

dataobject